#`!$SHELL`
#
VERSION='$Id: sesam2000_gui.sh,v 1.16 2002/10/10 16:27:32 sesam Exp $'
VERBOSE=$1
LEVEL=$2
#
# READ INI
read_ini()
{
  SM_INI=`grep -i '^sm_ini=' /etc/sesam2000.ini|cut -d"=" -f2`
  echo `grep -i "$1=" "$SM_INI"|cut -d"=" -f2`
}
#
#
# VERBOSE
my_echo()
{
  if [ "$VERBOSE" = "-v" ] 
  then
    echo $1
  fi
}
#
# GUI SUBROUTINE  
sub_gui()
{
  my_echo "VERSION=$VERSION"

  GV_RO=`read_ini gv_ro`
  export GV_RO
  my_echo "GV_RO=$GV_RO"

  GV_RW=`read_ini gv_rw`
  export GV_RW
  my_echo "GV_RW=$GV_RW"

  GV_RW_INI=`read_ini gv_rw_ini`
  export GV_RW_INI
  my_echo "GV_RW_INI=$GV_RW_INI"

  GV_RO_DB=`read_ini gv_ro_db`
  export GV_RO_DB
  my_echo "GV_RO_DB=$GV_RO_DB"

  GV_RO_BIN=`read_ini gv_ro_bin`
  export GV_RO_BIN
  my_echo "GV_RO_BIN=$GV_RO_BIN"

  PATH=:${GV_RO_BIN}:${GV_RO_DB}:${GV_RO}skel:$PATH:/sbin:/bin:/usr/bin
  export PATH
  my_echo "PATH=$PATH"

  if [ "`uname`" = "OSF1" ]
  then
    LD_LIBRARY_PATH=${GV_RO_BIN}:${GV_RO_DB}:/var/opt/DAU100/connect/lib
    TASO="-classic"
  else
    LD_LIBRARY_PATH=${GV_RO_BIN}:${GV_RO_DB}
    TASO=""
  fi
  export LD_LIBRARY_PATH
  my_echo "LD_LIBRARY_PATH=$LD_LIBRARY_PATH"

  JAVA_CHECK=`java $TASO -version 2>&1 | grep 1.[34]`
  if [ "$JAVA_CHECK" = "" ]
  then
    echo "FAIL: No Java VM >= 1.3.x. installed"
    exit 1
  fi

  MY_HOST=`read_ini gv_server`
  export MY_HOST
  my_echo "MY_HOST=$MY_HOST"
  
  MY_PORT=`read_ini gv_port_rmi`
  export MY_PORT
  my_echo "MY_PORT=$MY_PORT"

    MY_CP="-classpath ./sm_rmigui.jar"
    MY_CMD="de.sep.sesam.gui.client.Frame -uroot -S$MY_HOST -v2 -lmetal -p$MY_PORT"
    
  cd ${GV_RO}bin/gui

  if [ "$LEVEL" = "2" ] 
  then
    java $TASO -verbose $MY_CP $MY_CMD
  else
    java $TASO $MY_CP $MY_CMD
  fi

}
#
#
# START GUI
sub_gui

